"""Less flashy version. Mord hard-coding."""

from pathlib import Path

from flask import Flask, render_template
from ruamel.yaml import YAML

app = Flask(__name__)

# Note(decentral1se): load from env vars at some point
app.secret_key = b'_5#y2L"F4Q8z\n\xec]/'

yaml = YAML()

# Note(decentral1se): paths needs to change dependening
# on deployment mode ./data in dev, /data in production
DATA_DIR = Path("./data")

STATIC_DIR = Path(app.root_path).absolute() / "static"


@app.route("/")
def home():
    pass


if __name__ == "__main__":
    app.run(debug=True, host="0.0.0.0")
